Subject: bug#15308: ls -lk reports bytes, not kibytes

From: Bruce Dubbs <[email-masked]>
Date: Sun, 08 Sep 2013 12:10:30 -0500

Bernhard Voelker wrote:
> On 09/08/2013 06:15 PM, Bruce Dubbs wrote:
>> Coreutils 8.21
>>
>> 'ls -lk file'            gives bytes, not kibytes
>> 'ls -l --kibibytes file' gives bytes, not kibytes
>>
>> 'ls -l --block-size=1024 file' gives the proper response
>>
>> Checking back a little, I have the same problem with Coreutils-8.17.
>
> Sounds like commit
>    http://git.sv.gnu.org/cgit/coreutils.git/commit/?id=448718c1
> between v8.14..v8.15.
>
> NEWS entry:
>
>    +  ls's -k option no longer affects how ls -l outputs file sizes.
>    +  It now affects only the per-directory block counts written by -l,
>    +  and the sizes written by -s.  This is for compatibility with BSD
>    +  and with POSIX 2008.  Because -k is no longer equivalent to
>    +  --block-size=1KiB, a new long option --kibibyte stands for -k.
>    +  [bug introduced in coreutils-4.5.4]

I'm not sure what you are saying.  Is 'ls -lk' valid or not?  If not, I 
think the man page needs to be clarified:

         -k, --kibibytes
               use 1024-byte blocks

 From the above, I don't know what 'per-directory block counts' means.

'ls -lks file'  produces bytes, so the above is not correct for that either.

   -- Bruce